Skip to main content
GET
Get Llm Profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profile_id
string
required
tenant
string | null
required

The domain of the customer

Example:

"example.com"

Response

Successful Response

A system or custom LLM profile.

id
string
required

Profile ID: system.<tier> for system profiles, a UUID for custom profiles.

name
string
required

Name. System profile names are localized for the user.

description
string | null
required

Description of the profile.

system
boolean
required

Whether AIDA maintains the profile.

provider
enum<string>
required

Provider of the model. For a system profile, the selection resolved for the tenant, or the tenant default when it is unavailable.

Available options:
OpenAI,
Google,
Altirnao,
MistralAI,
Anthropic
model
string | null
required

Completion model ID. For a system profile, the selection resolved for the tenant, or the tenant default when it is unavailable. Null only when the tenant default model cannot be determined.

reasoning_effort
enum<string> | null
required

Reasoning effort. Null keeps the model's default.

Available options:
none,
minimal,
low,
medium,
high,
xhigh,
max
available
boolean
required

Whether a chat turn would use this selection now. Chats with an unavailable profile use the tenant default model.

can_update
boolean
required

Whether the caller can update the profile.

can_delete
boolean
required

Whether the caller can delete the profile.

created_at
string<date-time> | null
required

Creation time of a custom profile.

updated_at
string<date-time> | null
required

Last update time of a custom profile.